QGIS Application - Bug report #19998

Cannot export output of 'Points along geometry' tool as Geopackage

2018-10-02 03:26 PM - James Duffy

Status: Closed

Priority: Normal

Assignee:

Category: Processing/OGR

Affected QGIS version:3.5(master) Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27820

Description

I have a polygon layer which | use as an input to the 'Points along geometry tool'. | produce a temporary layer which contains my points.

Then | go to export this temporary layer as a GeoPackage and get the following error.

Export to vector file failed.
Only 1 of 24 features written.
It might be because the temporary layer has the same value (1) for every feature in the FID field.

Related issues:

Related to QGIS Application - Bug report # 19758: Processing: merge vector la... Open 2018-09-03
Related to QGIS Application - Bug report # 19708: Processing: Join attributes... Closed 2018-08-27
Related to QGIS Application - Bug report # 20291: Cannot export layer with a ... Open 2018-10-31

Associated revisions
Revision dOeeffbe - 2018-10-31 10:27 AM - Matthias Kuhn

Regenerate fids for "points along geometry"

Fix #19998

Revision d7b01dba - 2018-10-31 01:48 PM - Matthias Kuhn

Regenerate fids for "points along geometry"

Fix #19998

History

#1 - 2018-10-03 12:19 PM - Andrea Giudiceandrea

| think it is related to #19708 and #19758

#2 - 2018-10-03 02:04 PM - Giovanni Manghi

- Related to Bug report #19758: Processing: merge vector layers produces duplicated fid added

#3 - 2018-10-08 08:46 AM - Jérome Guélat

Yes, it is definitely related... The easiest solution is to delete the fid column in the temporary layer and then save as a GeoPackage. This will recreate a new

fid column respecting the UNIQUE constraint.

#4 - 2018-10-08 12:47 PM - Andrea Giudiceandrea

- Related to Bug report #19708: Processing: Join attributes by location produces duplicated fid added

#5 - 2018-10-31 08:59 AM - Matthias Kuhn

| think it's better to split this bug report into two separate ones:

1. Rename this one to 'Cannot points along geometry creates duplicate fid' and fix direct export to geopackage

2. Create a new one 'Cannot export layers with a field fid with duplicate ids to GeoPackage'

#6 - 2018-10-31 09:08 AM - Matthias Kuhn

- Subject changed from Cannot export temporary layer outputted by 'Points along geometry' tool as Geopackage to Cannot export output of 'Points along
geometry' tool as Geopackage

- Affected QGIS version changed from 3.2.2 to 3.5(master)

#7 - 2018-10-31 09:14 AM - Matthias Kuhn
- Status changed from Open to In Progress

https://github.com/qgis/QGIS/pull/8240

#8 - 2018-10-31 12:37 PM - Jiirgen Fischer
- Related to Bug report #20291: Cannot export layer with a field "fid" which is not unique to GeoPackage added
https://github.com/qgis/QGIS/pull/8240

#9 - 2018-10-31 01:46 PM - Anonymous
- % Done changed from 0 to 100
- Status changed from In Progress to Closed

Applied in changeset commit:qgis|dOeeffbecb01000bd463351bd7845d6dd074a3cO.
